Bug 435134 - ipa-modgroup should allow groups to be added as a group member
ipa-modgroup should allow groups to be added as a group member
Product: freeIPA
Classification: Community
Component: ipa-admintools (Show other bugs)
All Linux
high Severity low
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
Depends On:
Blocks: freeipa10 429034
  Show dependency treegraph
Reported: 2008-02-27 11:16 EST by Rob Crittenden
Modified: 2015-01-04 18:30 EST (History)
1 user (show)

See Also:
Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
allow groups to be added as a group member (4.28 KB, patch)
2008-02-28 11:33 EST, Rob Crittenden
no flags Details | Diff

  None (edit)
Description Rob Crittenden 2008-02-27 11:16:14 EST
You can add a group to a group in the UI but not with ipa-groupmod.

The command-line needs to be functionally equivalent.
Comment 1 Rob Crittenden 2008-02-28 11:33:24 EST
Created attachment 296233 [details]
allow groups to be added as a group member
Comment 2 Rob Crittenden 2008-03-19 11:35:05 EDT
Committed in changeset 709
Comment 3 Chandrasekar Kannan 2008-04-07 20:37:49 EDT
works in cmd line as well.

[root@ipaqa01 ~]# ipa-modgroup -g "small group" "big group"
small group successfully added to big group
[root@ipaqa01 ~]# ipa-findgroup "big group"
5 entries were found. Which one would you like to display?
1: admins
2: ipausers
3: group1
4: big group
5: small group
Choose one: (1 - 5), 0 for all, q to quit: 4
dn: cn=big group,cn=groups,cn=accounts,dc=dsqa,dc=sjc2,dc=redhat,dc=com
GID: 1104
Full Name: big group
Description: big group
    small group: cn=small

[root@ipaqa01 ~]# 

build - ipa-server-0.99-23.767.20080402.el5ipa

marking bug verified.

Note You need to log in before you can comment on or make changes to this bug.